#		%Z% %M% %I% %D% %T%
#
#
# ロードモジュール名

SRC	= .
OBJ	= .
INCLUDE	= .

LOAD = /home/cms/exe/wsubform
INCLUDE = /home/cms/fusr/libsubformHTML

CC	= gcc

# for Debug

CFLAGS	= -O2 -g

LDEXE	= ./

LINTFLAGS = -x $(INC_OPT) $(CDEFS)

grade : grade.pgc
	ecpg grade.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c grade.c
	gcc -O2 -static -o grade.cgi grade.o ../../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm

grade_Menu : grade_Menu.pgc
	ecpg grade_Menu.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c grade_Menu.c
	gcc -O2 -static -o grade_Menu.cgi grade_Menu.o ../../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm

grade_Fetch : grade_Fetch.pgc
	ecpg grade_Fetch.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c grade_Fetch.c
	gcc -O2 -static -o grade_Fetch.cgi grade_Fetch.o ../../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm

grade_Insert: grade_Insert.pgc
	ecpg grade_Insert.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c grade_Insert.c
	gcc -O2 -static -o grade_Insert.cgi grade_Insert.o ../../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm

grade_Update : grade_Update.pgc
	ecpg grade_Update.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c grade_Update.c
	gcc -O2 -static -o grade_Update.cgi grade_Update.o ../../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm

grade_Delete : grade_Delete.pgc
	ecpg grade_Delete.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c grade_Delete.c
	gcc -O2 -static -o grade_Delete.cgi grade_Delete.o ../../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm

